VIGRA - VIGRA: RGBAccessor Class Template Reference

[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| RGBAccessor [Data Accessors, Accessors for RGBValue] |

`#include <vigra/rgbvalue.hxx>`

Inheritance diagram for RGBAccessor:

List of all members.

## Public Types
typedef RGBVALUE::value_type | component_type
## Public Member Functions
template<class RGBIterator, class DIFFERENCE>
component_type const & | blue (RGBIterator const &rgb, DIFFERENCE d) const
template<class RGBIterator>
component_type const & | blue (RGBIterator const &rgb) const
template<class RGBIterator, class DIFFERENCE>
component_type const & | green (RGBIterator const &rgb, DIFFERENCE d) const
template<class RGBIterator>
component_type const & | green (RGBIterator const &rgb) const
template<class RGBIterator, class DIFFERENCE>
component_type const & | red (RGBIterator const &rgb, DIFFERENCE diff) const
template<class RGBIterator>
component_type const & | red (RGBIterator const &rgb) const
template<class V, class RGBIterator, class DIFFERENCE>
void | setBlue (V value, RGBIterator const &rgb, DIFFERENCE d) const
template<class V, class RGBIterator>
void | setBlue (V value, RGBIterator const &rgb) const
template<class V, class RGBIterator, class DIFFERENCE>
void | setGreen (V value, RGBIterator const &rgb, DIFFERENCE d) const
template<class V, class RGBIterator>
void | setGreen (V value, RGBIterator const &rgb) const
template<class V, class RGBIterator, class DIFFERENCE>
void | setRed (V value, RGBIterator const &rgb, DIFFERENCE diff) const
template<class V, class RGBIterator>
void | setRed (V value, RGBIterator const &rgb) const

## Detailed Description

### template<class RGBVALUE>
class vigra::RGBAccessor< RGBVALUE >

Encapsulate access to rgb values.

#include <vigra/rgbvalue.hxx>
Namespace: vigra

## Member Typedef Documentation

typedef RGBVALUE::value_type component_type

the vector's value_type

Reimplemented from VectorAccessor< RGBVALUE >.

## Member Function Documentation

component_type const& blue | ( | RGBIterator const & | rgb,
|  | DIFFERENCE | d |
| ) |  |  | const

Get value of the blue component at an offset

component_type const& blue | ( | RGBIterator const & | rgb | ) | const

Get value of the blue component

component_type const& green | ( | RGBIterator const & | rgb,
|  | DIFFERENCE | d |
| ) |  |  | const

Get value of the green component at an offset

component_type const& green | ( | RGBIterator const & | rgb | ) | const

Get value of the green component

component_type const& red | ( | RGBIterator const & | rgb,
|  | DIFFERENCE | diff |
| ) |  |  | const

Get value of the red component at an offset

component_type const& red | ( | RGBIterator const & | rgb | ) | const

Get value of the red component

template<class V, class RGBIterator, class DIFFERENCE>
void setBlue | ( | V | value,
|  | RGBIterator const & | rgb,
|  | DIFFERENCE | d |
| ) |  |  | const

Set value of the blue component at an offset. The type `V` of the passed in `value` is automatically converted to `component_type`.

template<class V, class RGBIterator>
void setBlue | ( | V | value,
|  | RGBIterator const & | rgb |
| ) |  |  | const

Set value of the blue component. The type `V` of the passed in `value` is automatically converted to `component_type`.

template<class V, class RGBIterator, class DIFFERENCE>
void setGreen | ( | V | value,
|  | RGBIterator const & | rgb,
|  | DIFFERENCE | d |
| ) |  |  | const

Set value of the green component at an offset. The type `V` of the passed in `value` is automatically converted to `component_type`.

template<class V, class RGBIterator>
void setGreen | ( | V | value,
|  | RGBIterator const & | rgb |
| ) |  |  | const

Set value of the green component. The type `V` of the passed in `value` is automatically converted to `component_type`.

template<class V, class RGBIterator, class DIFFERENCE>
void setRed | ( | V | value,
|  | RGBIterator const & | rgb,
|  | DIFFERENCE | diff |
| ) |  |  | const

Set value of the red component at an offset. The type `V` of the passed in `value` is automatically converted to `component_type`.

template<class V, class RGBIterator>
void setRed | ( | V | value,
|  | RGBIterator const & | rgb |
| ) |  |  | const

Set value of the red component. The type `V` of the passed in `value` is automatically converted to `component_type`.

The documentation for this class was generated from the following file:

- vigra/rgbvalue.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python VIGRA 1.6.0 (13 Aug 2008)